Show / Hide Table of Contents

# Struct Window.WindowSizeConstraints

Structure detailing the size constraints of a window.

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Dalamud.Interface.Windowing

###### Assembly: Dalamud.dll

##### Syntax

    public struct WindowSizeConstraints

### Properties

| Improve this Doc View Source

#### MaximumSize

Gets or sets the maximum size of the window.

##### Declaration

    public Vector2 MaximumSize { readonly get; set; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MinimumSize

Gets or sets the minimum size of the window.

##### Declaration

    public Vector2 MinimumSize { readonly get; set; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |